#include "funkcija.h"

Funkcija* Cos::izvod()
{	return new Puta(_op->izvod(), 
		new Puta(new KonstantnaFunkcija(-1),
			 new Sin(_op->clone())));	
}

Funkcija* Sin::izvod()
{	return new Puta(_op->izvod(), 
			new Cos(_op->clone()));	
}
